libnova v 0.15.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Atmospheric Refraction

## Functions
double LIBNOVA_EXPORT | ln_get_refraction_adj (double altitude, double atm_pres, double temp)
| Calculate the adjustment in altitude of a body due to atmospheric refraction. More...

## Detailed Description

Functions relating to Atmospheric Refraction

All angles are expressed in degrees.

## Function Documentation

double ln_get_refraction_adj | ( | double | altitude,
|  | double | atm_pres,
|  | double | temp
| ) |  |

Calculate the adjustment in altitude of a body due to atmospheric refraction.

Parameters

  altitude | The altitude of the object above the horizon in degrees
  atm_pres | Atmospheric pressure in milibars
  temp | Temperature in degrees C.

Returns
  Adjustment in objects altitude in degrees.

Calculate the adjustment in altitude of a body due to atmosphric refraction. This value varies over altitude, pressure and temperature.

Note: Default values for pressure and teperature are 1010 mBar and 10C respectively.

References ln_deg_to_rad(), and ln_helio_posn::R.